# Check health Gets the health status of the xCurrent server. Endpoint: GET /health Version: 4.0.0 Security: Bearer ## Response 200 fields (application/json): - `healthy` (boolean, required) If set to true, the xCurrent server is up and running. If set to false, the xCurrent server is down. Example: true - `services` (array) List of services and their statuses returned by the health check. - `services.service` (string) Name of the service. Example: "database" - `services.healthy` (boolean) Returns true if the service is up and running, and false if it is down or unreachable. - `services.detail` (string) Reason for health check failure, if any. Example: "Message queue unreachable." ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"